package gihyo.web.struts.action;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;


/**
 * @struts.action
 *    path="/viewAllUsers"
 *    scope="request"
 *    validate="false"
 *
 * @struts.action-forward
 *    name="success"
 *    path="/WEB-INF/viewAllUsers.jsp"
 *    redirect="false"
 */
public class ViewAllUsersAction extends AbstractAction {
  
  public ActionForward executeImpl(
    ActionMapping mapping,
    ActionForm form,
    HttpServletRequest request,
    HttpServletResponse response)
    throws Exception {
    	
    request.setAttribute("AUTH_USERS", getAllUsers());
    return mapping.findForward("success");
  }

}
