package gihyo.web.struts.action;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

/**
 * @struts.action
 *    path="/viewChangePassword"
 *    scope="request"
 *    validate="false"
 *
 * @struts.action-forward
 *    name="success"
 *    path="/WEB-INF/changePassword.jsp"
 *    redirect="false"
 */
public class ViewChangePasswordAction extends AbstractAction {
    
    public ActionForward executeImpl(
      ActionMapping mapping,
      ActionForm form,
      HttpServletRequest request,
      HttpServletResponse response)
      throws Exception 
    {
		saveToken(request);
        return mapping.findForward("success");
    }
}
