package gihyo.web.struts.action;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.beanutils.BeanUtils;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

/**
 * @struts.action
 *    path="/viewRemoveUser"
 *    scope="request"
 *    name="selectEditForm"
 *    input="viewAllUsers.do"
 *    validate="false"
 *    roles="admin"
 *
 * @struts.action-forward
 *    name="success"
 *    path="/WEB-INF/removeUser.jsp"
 *    redirect="false"
 */
public class ViewRemoveUserAction extends AbstractAction {
    
    public ActionForward executeImpl(
      ActionMapping mapping,
      ActionForm form,
      HttpServletRequest request,
      HttpServletResponse response)
      throws Exception 
    {
        saveToken(request);
        String account = BeanUtils.getProperty(form, "account");
        request.setAttribute("REMOVE_USER",getAuthUserValue(account));
        return mapping.findForward("success");
    }
}