DROP TABLE AUTH_USER;
DROP TABLE AUTH_ROLE;

CREATE CACHED TABLE AUTH_ROLE(
 ROLE_ID      INT     NOT NULL,
 ROLE_NAME    VARCHAR NOT NULL,
 ROLE_CAPTION VARCHAR NOT NULL,
 PRIMARY KEY (ROLE_ID)
);

CREATE CACHED TABLE AUTH_USER(
 USER_ID    INT     NOT NULL,
 ROLE_ID_FK INT             ,
 USER_NAME  VARCHAR NOT NULL,
 ACCOUNT    VARCHAR NOT NULL,
 PASSWORD   VARCHAR         ,
 PRIMARY KEY (USER_ID),
 FOREIGN KEY (ROLE_ID_FK) REFERENCES AUTH_ROLE(ROLE_ID)
);

INSERT INTO AUTH_ROLE VALUES(1 , 'admin'   , 'VXeǗ');
INSERT INTO AUTH_ROLE VALUES(2 , 'manager' , '}l[W[');
INSERT INTO AUTH_ROLE VALUES(3 , 'user'    , 'ʃ[U[');

INSERT INTO AUTH_USER VALUES(1 , 1 , 'Z] Y'    , 'g1' , 'g1' );
INSERT INTO AUTH_USER VALUES(2 , 2 , 'Z] Y'    , 'g2' , 'g2' );
INSERT INTO AUTH_USER VALUES(3 , 3 , 'Z] OY'    , 'g3' , 'g3' );
INSERT INTO AUTH_USER VALUES(4 , 3 , 'Z] lY'    , 'g4' , 'g4' );
