package gihyo.web.struts.action;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

/**
 * @struts.action
 *    path="/viewAddUser"
 *    scope="request"
 *    name="selectEditForm"
 *    input="/viewAddUser.do"
 *    validate="false"
 *    roles="admin"
 *
 * @struts.action-forward
 *    name="success"
 *    path="/WEB-INF/addUser.jsp"
 *    redirect="false"
 */
public class ViewAddUserAction extends AbstractAction {
    
    public ActionForward executeImpl(
      ActionMapping mapping,
      ActionForm form,
      HttpServletRequest request,
      HttpServletResponse response)
      throws Exception 
    {
        saveToken(request);
        request.setAttribute("AUTH_ROLES", getAllRoles());
        return mapping.findForward("success");
    }
}